Bug 1075124 - docx with negative left margin and border on table does not display properly in LibreOffice 4.2.2.1
Summary: docx with negative left margin and border on table does not display properly ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-11 14:36 UTC by Sara L. Uckelman
Modified: 2014-03-30 06:16 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-03-30 06:16:11 UTC


Attachments (Terms of Use)
This is the file in question. (14.58 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-11 14:36 UTC, Sara L. Uckelman
no flags Details

Description Sara L. Uckelman 2014-03-11 14:36:40 UTC
Created attachment 873168 [details]
This is the file in question.

Problem description: I recently upgraded from Fedora 18 to Fedora 20.  A docx file (created by Word) with a number of tables that used to display just fine in LibreOffice now displays with the tables completely empty.

Steps to reproduce:
1. Open LibreOffice.
2. Open document.
3.

Current behavior: Data in tables does not display.

Expected behavior: Data in tables should display.

Comment 1 Michael Stahl 2014-03-17 17:13:15 UTC
actually this does not appear to work properly in LO 3.6.7.2
(which is currently in Fedora 18) or any other version i tried.

fixed upstream master by:
76aa23c59b4c81ea7b9d974a1a0a9e39c6bf8741

fixed upstream libreoffice-4-2 for 4.2.3.1 by:
2e558f32ef79948858723b9781fbd388850b462b

fix added to f20 package

Comment 2 Fedora Update System 2014-03-26 09:20:32 UTC
libreoffice-4.2.2.1-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.2.1-8.fc20

Comment 3 Fedora Update System 2014-03-27 04:48:50 UTC
Package libreoffice-4.2.2.1-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.2.1-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4399/libreoffice-4.2.2.1-8.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-03-30 06:16:11 UTC
libreoffice-4.2.2.1-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.